PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_clascal | ( | PLASMA_enum | uplo,
|  | int | m,
|  | int | n,
|  | PLASMA_Complex32_t | alpha,
|  | PLASMA_Complex32_t * | A,
|  | int | lda
| ) |  |

CORE_clascal scales a two-dimensional matrix A. As opposite to CORE_clascl(), no checks is performed to prevent under/overflow. This should have been done at higher level.

Parameters

  [in] | uplo | Specifies the shape of A: = PlasmaUpperLower: A is a general matrix. = PlasmaUpper: A is an upper trapezoidal matrix. = PlasmaLower: A is a lower trapezoidal matrix.
  [in] | m | is the number of rows of the matrix A. m >= 0
  [in] | n | is the number of columns of the matrix A. n >= 0
  [in] | alpha | The scalar factor.
  [in,out] | A | is the matrix to be multiplied by alpha
  [in] | lda | is the leading dimension of the array A. lda >= max(1,m).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value